This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 432399 - sound is irreparably lost when switching between tty1 and X
sound is irreparably lost when switching between tty1 and X
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
8
All Linux
low Severity urgent
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 14:53 EST by Bryan Christ
Modified: 2013-03-05 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version: F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-21 11:20:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Christ 2008-02-11 14:53:53 EST
Description of problem:

When playing video clip on the console using aaxine, the sound subsystem becomes
unusable after switching back and forth between tty1 and X a few times during
playback.  After the audio is lost, it is not usable in X or on the console. 
The mixers (alsamixer and gnome volume control) do work, but they have no effect.

Also, it does not seem to matter whether the user sound system is set to alsa or
pulseaudio in "Sound Preferences".

I tried restarting the ConsoleKit service and bringing the system down to
runlevel 3 and and the back up to runlevel 5.  Neither of these restored the audio.


Version-Release number of selected component (if applicable):

xine-lib-1.1.0 (compiled from source)
ConsoleKit-libs-0.2.3-1.fc8
ConsoleKit-0.2.3-1.fc8
ConsoleKit-x11-0.2.3-1.fc8
alsa-lib-1.0.15-1.fc8
alsa-utils-1.0.15-1.fc8
pulseaudio-core-libs-0.9.8-5.fc8
pulseaudio-module-gconf-0.9.8-5.fc8
pulseaudio-libs-0.9.8-5.fc8
pulseaudio-module-x11-0.9.8-5.fc8
pulseaudio-utils-0.9.8-5.fc8
alsa-plugins-pulseaudio-1.0.15-2.fc8
pulseaudio-0.9.8-5.fc8
pulseaudio-libs-glib2-0.9.8-5.fc8
pulseaudio-esound-compat-0.9.8-5.fc8
pulseaudio-libs-devel-0.9.8-5.fc8
pulseaudio-libs-zeroconf-0.9.8-5.fc8
kernel-2.6.23.14-115.fc8

How reproducible:

100%

Steps to Reproduce:
1. install xine-lib
2. play a video clip (with audio) using aaxine on the console.
3. switch back and forth between tty1 and X several times
  
Actual results:

sound becomes unusable between the console and X.

Expected results:


Additional info:

System is a HP Compaq dx5150.
Comment 1 Bryan Christ 2008-02-11 15:35:06 EST
This does not happen when switching between standard ttys (tty1 and tty2). 
Sound is muted when switching to tty2 and restored when switching back to tty1.
Comment 2 Bryan Christ 2008-02-11 17:46:58 EST
Upgraded the following packages from yum repo "development" but the problem did
not go away.

ConsoleKit-libs-0.2.7-1.fc9
ConsoleKit-0.2.7-1.fc9
ConsoleKit-x11-0.2.7-1.fc9
Comment 3 Bryan Christ 2008-05-16 17:28:31 EDT
This issue appears fixed in F9.

Note You need to log in before you can comment on or make changes to this bug.